#
# spec file for package libcaes
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           libcaes
%define lname	libcaes1
%define timestamp 20170110
Version:        0~%timestamp
Release:        lp150.1.4
Summary:        Library for cross-platform AES encryption
License:        LGPL-3.0+
Group:          Development/Libraries/C and C++
Url:            https://github.com/libyal/libcaes/wiki
Source:         https://github.com/libyal/libcaes/releases/download/%timestamp/%name-alpha-%timestamp.tar.gz
BuildRequires:  pkg-config
BuildRequires:  pkgconfig(libcerror) >= 20130609
BuildRequires:  pkgconfig(libcstring) >= 20120425
BuildRequires:  pkgconfig(openssl) >= 1.0
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
libcaes is a library for cross-platform AES encryption.

%package -n %lname
Summary:        Library for cross-platform AES encryption
Group:          System/Libraries

%description -n %lname
libcaes is a library for cross-platform AES encryption.

%package devel
Summary:        Development files for libcaes, a cross-platform AES encryption library
Group:          Development/Libraries/C and C++
Requires:       %lname = %version

%description devel
libcaes is a library for cross-platform AES encryption.

This subpackage contains libraries and header files for developing
applications that want to make use of libcaes.

%prep
%setup -qn libcaes-%timestamp

%build
%configure --disable-static --enable-wide-character-type
make %{?_smp_mflags}

%install
make install DESTDIR="%buildroot"
rm -f "%buildroot/%_libdir"/*.la

%post   -n %lname -p /sbin/ldconfig
%postun -n %lname -p /sbin/ldconfig

%files -n %lname
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog
%_libdir/libcaes.so.1*

%files devel
%defattr(-,root,root)
%_includedir/libcaes*
%_libdir/libcaes.so
%_libdir/pkgconfig/libcaes.pc
%_mandir/man3/libcaes.3*

%changelog
* Sun Oct  1 2017 Greg.Freemyer@gmail.com
- update to v0~20170110
  * applied 2017 updates
  * code clean up
  * worked on tests
* Fri Jan  9 2015 Greg.Freemyer@gmail.com
- update to v0~20150101
  * 2015 update - minimal changes
- update URL to the new github site
- replace Source: field with fully defined URL
- remove DL-URL comment
- start using libcstring from OBS, not internal version
- remove %%if for opensuse.  Not needed with libyal consolidated in security:forensics
* Thu Aug 14 2014 Greg.Freemyer@gmail.com
- update to 0~20140731
  * Added HAVE_DLLMAIN support
  * 2014 update
  * updated dependencies
  * fixed issue not freeing error state memory allocated by EVP
  * worked on tests
  * worked on moving XTS support from libfvde
  * textual changes
- remove use of xz compression to simplify tarball download
* Fri Aug  2 2013 Greg.Freemyer@gmail.com
- update DL-URL
- use factory package for libcerror if available
* Fri Apr  5 2013 jengelh@inai.de
- Initial package (version 0~20130331) for build.opensuse.org
